Create Session
curl --request POST \
--url https://api.themoviedb.org/3/authentication/session/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_token": "4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57"
}
'import requests
url = "https://api.themoviedb.org/3/authentication/session/new"
payload = { "request_token": "4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({request_token: '4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57'})
};
fetch('https://api.themoviedb.org/3/authentication/session/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/authentication/session/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request_token' => '4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/authentication/session/new"
payload := strings.NewReader("{\n \"request_token\": \"4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.themoviedb.org/3/authentication/session/new")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"request_token\": \"4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/authentication/session/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"request_token\": \"4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57\"\n}"
response = http.request(request)
puts response.read_body{
"success": "true",
"session_id": "dde0201c7e069c67295c39ad01a74d3f70a0fa74"
}AUTHENTICATION
Create Session
This endpoint is used to create your session. You must authenticate your token before doing this.
POST
/
authentication
/
session
/
new
Create Session
curl --request POST \
--url https://api.themoviedb.org/3/authentication/session/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_token": "4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57"
}
'import requests
url = "https://api.themoviedb.org/3/authentication/session/new"
payload = { "request_token": "4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({request_token: '4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57'})
};
fetch('https://api.themoviedb.org/3/authentication/session/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/authentication/session/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'request_token' => '4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/authentication/session/new"
payload := strings.NewReader("{\n \"request_token\": \"4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.themoviedb.org/3/authentication/session/new")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"request_token\": \"4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/authentication/session/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"request_token\": \"4ff0d20a781c2f2b6c2bc9f1d20b87fed34c1a57\"\n}"
response = http.request(request)
puts response.read_body{
"success": "true",
"session_id": "dde0201c7e069c67295c39ad01a74d3f70a0fa74"
}